import request from '@/utils/request'

// 获取单个geojson文件
export function getGeoJSONFromDxf(query) {
  return request({
    url: '/map/multiDataSource/geoJSONFromDxf',
    method: 'get',
    params: query
  })
}

// 获取上传进度
export function getProcessValue() {
  return request({
    url: '/map/multiDataSource/getProcess',
    method: 'get'
  })
}

// 上传文件
export function uploadFile(data) {
  return request({
    url: '/map/multiDataSource/uploadFile',
    method: 'post',
    data: data
  })
}

// dxf转geojson
export function getDxf2GeoJSON(data) {
  return request({
    url: '/map/multiDataSource/dxf2GeoJSON',
    method: 'post',
    data: data
  })
}

// dxf转geojson
export function getDxf2Shp(data) {
  return request({
    url: '/map/multiDataSource/dxf2Shp',
    method: 'post',
    data: data
  })
}

// 获取文件夹列表
export function getPath(query) {
  return request({
    url: '/map/multiDataSource/getPath',
    method: 'get',
    params: query
  })
}

// 文件夹映射
export function folderMapping(query) {
  return request({
    url: '/map/multiDataSource/folderMapping',
    method: 'get',
    params: query
  })
}

// 返回映射文件夹下含有模型的子文件夹列表
export function getModelList(query) {
  return request({
    url: '/map/multiDataSource/getModelList',
    method: 'get',
    params: query
  })
}
